<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<c:if test="<%= themeDisplay.isImpersonated() %>">
	<aui:a cssClass="list-group-heading" href="<%= PortalUtil.getLayoutURL(layout, themeDisplay, false) %>">
		<aui:icon image="change" markupView="lexicon" />

		<liferay-ui:message key="be-yourself-again" /> <span class="impersonation-real-user">(<%= HtmlUtil.escape(realUser.getFullName()) %>)</span>
	</aui:a>

	<%
	Locale realUserLocale = realUser.getLocale();
	Locale userLocale = user.getLocale();
	%>

	<c:if test="<%= !realUserLocale.equals(userLocale) %>">

		<%
		String changeLanguageMessage = null;
		String doAsUserLanguageId = null;

		String country = locale.getCountry();
		String language = locale.getLanguage();

		if (language.equals(realUserLocale.getLanguage()) && country.equals(realUserLocale.getCountry())) {
			changeLanguageMessage = LanguageUtil.format(realUserLocale, "use-x's-preferred-language-(x)", new String[] {HtmlUtil.escape(user.getFullName()), userLocale.getDisplayLanguage(realUserLocale)}, false);
			doAsUserLanguageId = userLocale.getLanguage() + "_" + userLocale.getCountry();
		}
		else {
			changeLanguageMessage = LanguageUtil.format(realUserLocale, "use-your-preferred-language-(x)", realUserLocale.getDisplayLanguage(realUserLocale), false);
			doAsUserLanguageId = realUserLocale.getLanguage() + "_" + realUserLocale.getCountry();
		}
		%>

		<aui:icon cssClass="list-group-heading" image="flag-full" label="<%= changeLanguageMessage %>" markupView="lexicon" url='<%= HttpUtil.setParameter(PortalUtil.getCurrentURL(request), "doAsUserLanguageId", doAsUserLanguageId) %>' />
	</c:if>
</c:if>

<liferay-application-list:panel-category-body
	panelCategory="<%= (UserPanelCategory)request.getAttribute(ApplicationListWebKeys.PANEL_CATEGORY) %>"
/>